import request from '@/utils/request'

export function login(username, password, code, uuid) {
  return request({
    url: '/bxg/auth/login',
    method: 'post',
    data: {
      username,
      password,
      code,
      uuid
    }
  })
}

export function getInfo() {
  return request({
    url: '/bxg/auth/info',
    method: 'get'
  })
}

export function getCodeImg() {
  return request({
    url: '/bxg/auth/code',
    method: 'get'
  })
}

export function logout() {
  return request({
    url: '/bxg/auth/logout',
    method: 'delete'
  })
}
